List Users
By default all user types for your Help Scout plan are returned, including those who have not yet accepted their Help Scout invitations. System users (AI agents) are not included in this endpoint — see List System Users instead.
Request
GET /v2/users HTTP/1.1
Authorization: Bearer oauth_token
URL Parameters
| Parameter | Type | Examples | Description |
|---|---|---|---|
email |
string |
email=bear@acme.com |
Optional filter param for looking up users by email using exact match. |
mailbox |
number |
mailbox=123 |
Optional filter param for looking up users by inbox. |
Response
HTTP/1.1 200 OK
Content-Type: application/hal+json
{
"_embedded" : {
"users" : [ {
"id" : 4,
"firstName" : "Vernon",
"lastName" : "Bear",
"email" : "bear@acme.com",
"role" : "owner",
"timezone" : "America/New_York",
"photoUrl" : "http://somesite.com/images/avatar.jpg",
"createdAt" : "2011-04-01T03:18:33Z",
"updatedAt" : "2012-07-24T20:18:33Z",
"type" : "user",
"mention" : "vernon",
"initials" : "VB",
"jobTitle" : "Honey Master",
"phone" : "555-2368",
"alternateEmails" : [ "bear@forest.com" ],
"_links" : {
"self" : {
"href" : "..."
}
}
} ]
},
"_links" : {
"self" : {
"href" : "..."
},
"first" : {
"href" : "..."
},
"last" : {
"href" : "..."
},
"page" : {
"href" : "...",
"templated" : true
}
},
"page" : {
"size" : 50,
"totalElements" : 1,
"totalPages" : 1,
"number" : 1
}
}
Response fields
| Path | Type | Description |
|---|---|---|
_embedded.users |
Array |
Array of User objects |
Resource Links
| Relation | Description |
|---|---|
page |
Templated link to request any result page |
first |
Link to grab the first page |
last |
Link to grab the last page |
next |
Link to grab the next page |
previous |
Link to grab the previous page |